api_methods = {'account': {u'endPoints': [{u'description': u'',
                              u'operations': [{u'httpMethod': u'GET',
                                               u'open': False,
                                               u'parameters': [{u'description': u'A confirmed Wordnik username',
                                                                u'name': u'username',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'description': u"The user's password",
                                                                u'name': u'password',
                                                                u'paramType': u'query',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 403,
                                                                                   u'reason': u'Account not available.'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'User not found.'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'AuthenticationToken'}],
                                               u'summary': u'Authenticates a User'}],
                              u'path': u'/account.{format}/authenticate/{username}'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'GET',
                                               u'open': True,
                                               u'parameters': [{u'description': u'Wordnik authentication token',
                                                                u'name': u'api_key',
                                                                u'paramType': u'header',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'No token supplied.'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'No API account with supplied token.'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'ApiTokenStatus'}],
                                               u'summary': u'Returns usage statistics for the API account.'}],
                              u'path': u'/account.{format}/apiTokenStatus'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'GET',
                                               u'open': False,
                                               u'parameters': [{u'description': u'Username',
                                                                u'name': u'username',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid username supplied.'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'No activation code available.'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'ApiResponse'}],
                                               u'summary': u'Returns an ApiResponse indicating whether or not a username is available'}],
                              u'path': u'/account.{format}/usernameAvailable/{username}'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'GET',
                                               u'open': False,
                                               u'parameters': [{u'description': u'API Key',
                                                                u'name': u'api_key',
                                                                u'paramType': u'header',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid token supplied.'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'void'}],
                                               u'summary': u'Regenerates an API Token.  Currently not supported or tested.'}],
                              u'path': u'/account.{format}/regenerateApiToken'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'POST',
                                               u'open': False,
                                               u'parameters': [{u'description': u'A confirmed Wordnik username',
                                                                u'name': u'username',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'description': u"The user's password",
                                                                u'paramType': u'body',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 403,
                                                                                   u'reason': u'Account not available.'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'User not found.'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'AuthenticationToken'}],
                                               u'summary': u'Authenticates a user'}],
                              u'path': u'/account.{format}/authenticate/{username}'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'GET',
                                               u'notes': u'Requires a valid auth_token to be set.',
                                               u'open': False,
                                               u'parameters': [{u'description': u'The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)',
                                                                u'name': u'auth_token',
                                                                u'paramType': u'header',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 403,
                                                                                   u'reason': u'Not logged in.'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'User not found.'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'User'}],
                                               u'summary': u'Returns the logged-in User'}],
                              u'path': u'/account.{format}/user'}]},
 'user': {u'endPoints': [{u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDay owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Date of the WordOfTheDay to retrieve (yyyy-MM-dd) format',
                                                            u'name': u'date',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Include WordOfTheDay items for future dates (owner-only)',
                                                            u'name': u'includeAll',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid username or dateString supplied'},
                                                                              {u'code': 404,
                                                                               u'reason': u'User not found or no list available'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'WordOfTheDay'}],
                                           u'summary': u'Returns the WordOfTheDay for a given user on a given date'}],
                          u'path': u'/user.{format}/{username}/wordOfTheDay/{date}'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDayList owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Include future words (owner-only)',
                                                            u'name': u'includeAll',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid username supplied'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No WordOfTheDayList available'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'WordOfTheDayList'}],
                                           u'summary': u"Returns a user's WordOfTheDayList"}],
                          u'path': u'/user.{format}/{username}/wordOfTheDayList'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'PUT',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDayList owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Updated WordOfTheDayList data in the format specified by the URL',
                                                            u'paramType': u'body',
                                                            u'required': True},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid username supplied'},
                                                                              {u'code': 403,
                                                                               u'reason': u'Not authorized to perform update'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No WordOfTheDayList available'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'void'}],
                                           u'summary': u"Updates a user's WordOfTheDayList"}],
                          u'path': u'/user.{format}/{username}/wordOfTheDayList'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'POST',
                                           u'notes': u'A user can have only one WordOfTheDayList.',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDayList owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'WordOfTheDayList to create, provided in the format specified by the URL',
                                                            u'paramType': u'body',
                                                            u'required': True},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'User already has a list or list is invalid'},
                                                                              {u'code': 404,
                                                                               u'reason': u'User not found'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'WordOfTheDayList'}],
                                           u'summary': u'Creates a WordOfTheDayList'}],
                          u'path': u'/user.{format}/{username}/wordOfTheDayList'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'PUT',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDayList owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Permalink of the WordOfTheDayList to add the WordOfTheDay to',
                                                            u'name': u'permalink',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'WordOfTheDay to add, in the format specified by the URL',
                                                            u'paramType': u'body',
                                                            u'required': True},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'WordOfTheDay already scheduled on this date'},
                                                                              {u'code': 403,
                                                                               u'reason': u'Not authorized to perform modification'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No WordOfTheDayList available to add to'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'void'}],
                                           u'summary': u"Adds a WordOfTheDay to a user's WordOfTheDayList"}],
                          u'path': u'/user.{format}/{username}/wordOfTheDayList/{permalink}'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'DELETE',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDayList owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Permalink of WordOfTheDayList to delete',
                                                            u'name': u'permalink',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid username supplied'},
                                                                              {u'code': 403,
                                                                               u'reason': u'Not authorized to perform update'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No WordOfTheDayList available'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'void'}],
                                           u'summary': u"Deletes a user's WordOfTheDayList"}],
                          u'path': u'/user.{format}/{username}/wordOfTheDayList/{permalink}'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'DELETE',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDayList owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Permalink of WordOfTheDayList to delete a word from',
                                                            u'name': u'permalink',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Word to delete',
                                                            u'name': u'wordToDelete',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'WordOfTheDay already scheduled on this date'},
                                                                              {u'code': 403,
                                                                               u'reason': u'Not authorized to perform modification'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No WordOfTheDayList available to add to'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'void'}],
                                           u'summary': u"Deletes a specific word from a user's WordOfTheDayList"}],
                          u'path': u'/user.{format}/{username}/wordOfTheDayList/{permalink}/{wordToDelete}'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'PUT',
                                           u'open': True,
                                           u'parameters': [{u'description': u'Username of the WordOfTheDayList owner',
                                                            u'name': u'username',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'WordOfTheDayList to modify',
                                                            u'name': u'permalink',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'WordOfTheDay to add',
                                                            u'paramType': u'body',
                                                            u'required': True},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'WordOfTheDay already scheduled on this date'},
                                                                              {u'code': 403,
                                                                               u'reason': u'Not authorized to perform modification'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No WordOfTheDayList available to add to'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'void'}],
                                           u'summary': u"Adds an item to a user's WordOfTheDayList"}],
                          u'path': u'/user.{format}/{username}/wordOfTheDayList/{permalink}/add'}]},
 'word': {u'endPoints': [{u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'String value of WordObject to return',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u"If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Return suggestions (for correct spelling, case variants, etc.)',
                                                            u'name': u'includeSuggestions',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'Word'}],
                                           u'summary': u'Given a word as a string, returns the WordObject that represents it'}],
                          u'path': u'/word.{format}/{word}'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to return examples for',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Maximum number of results to return',
                                                            u'name': u'limit',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Show duplicate examples from different sources',
                                                            u'name': u'includeDuplicates',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Return results from a specific ContentProvider',
                                                            u'name': u'contentProvider',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u"If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Results to skip',
                                                            u'name': u'skip',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'ExampleSearchResults'}],
                                           u'summary': u'Returns examples for a word'}],
                          u'path': u'/word.{format}/{word}/examples'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to return definitions for',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Maximum number of results to return',
                                                            u'name': u'limit',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'CSV list of part-of-speech types',
                                                            u'name': u'partOfSpeech',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Return related words with definitions',
                                                            u'name': u'includeRelated',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'ahd, century, wiktionary, webster, wordnet',
                                                            u'description': u'Gets from dictionaries in the supplied order of precedence',
                                                            u'name': u'sourceDictionaries',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u"If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Return a closed set of XML tags in response',
                                                            u'name': u'includeTags',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No definitions found.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'Definition[]'}],
                                           u'summary': u'Return definitions for a word'}],
                          u'path': u'/word.{format}/{word}/definitions'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to return',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u"If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Starting Year',
                                                            u'name': u'startYear',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Ending Year',
                                                            u'name': u'endYear',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No results.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'FrequencySummary'},
                                                         {u'condition': u'errorBars=true',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No results.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'FrequencySummaryWithErrorBars'}],
                                           u'summary': u'Returns word usage over time'}],
                          u'path': u'/word.{format}/{word}/frequency'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to fetch examples for',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Return results from a specific ContentProvider',
                                                            u'name': u'contentProvider',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u"If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'Example'}],
                                           u'summary': u'Returns a top example for a word'}],
                          u'path': u'/word.{format}/{word}/topExample'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word for which to return related words',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'CSV list of part-of-speech types',
                                                            u'name': u'partOfSpeech',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Get data from a single dictionary. Valid options are ahd, century, wiktionary, webster, and wordnet.',
                                                            u'name': u'sourceDictionary',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Maximum number of results to return',
                                                            u'name': u'limit',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u"If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Relationship type',
                                                            u'name': u'type',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No definitions found.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'Related[]'}],
                                           u'summary': u'Return related words (thesaurus data) for a word'}],
                          u'path': u'/word.{format}/{word}/related'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to fetch phrases for',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Maximum number of results to return',
                                                            u'name': u'limit',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Minimum WLMI for the phrase',
                                                            u'name': u'wlmi',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u"If true will try to return the correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'Bigram[]'}],
                                           u'summary': u'Fetches bi-gram phrases for a word'}],
                          u'path': u'/word.{format}/{word}/phrases'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to get syllables for',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u"If true will try to return a correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Get from a single dictionary. Valid options: ahd, century, wiktionary, webster, and wordnet.',
                                                            u'name': u'sourceDictionary',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Maximum number of results to return',
                                                            u'name': u'limit',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'Syllable[]'}],
                                           u'summary': u'Returns syllable information for a word'}],
                          u'path': u'/word.{format}/{word}/hyphenation'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to get pronunciations for',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u"If true will try to return a correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Get from a single dictionary. Valid options: ahd, century, wiktionary, webster, and wordnet.',
                                                            u'name': u'sourceDictionary',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Text pronunciation type',
                                                            u'name': u'typeFormat',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Maximum number of results to return',
                                                            u'name': u'limit',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'TextPron[]'}],
                                           u'summary': u'Returns text pronunciations for a given word'}],
                          u'path': u'/word.{format}/{word}/pronunciations'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to fetch forms for',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u"If true will try to return a correct word root ('cats' -> 'cat'). If false returns exactly what was requested.",
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'},
                                                                              {u'code': 404,
                                                                               u'reason': u'No results.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'RelationshipMap'}],
                                           u'summary': u'Returns other forms of a word'}],
                          u'path': u'/word.{format}/{word}/wordForms'},
                         {u'description': u'',
                          u'operations': [{u'httpMethod': u'GET',
                                           u'notes': u'The metadata includes a time-expiring fileUrl which allows reading the audio file directly from the API.  Currently only audio pronunciations from the American Heritage Dictionary in mp3 format are supported.',
                                           u'open': False,
                                           u'parameters': [{u'description': u'Word to get audio for.',
                                                            u'name': u'word',
                                                            u'paramType': u'path',
                                                            u'required': True},
                                                           {u'description': u'Use the canonical form of the word.',
                                                            u'name': u'useCanonical',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'description': u'Maximum number of results to return',
                                                            u'name': u'limit',
                                                            u'paramType': u'query',
                                                            u'required': False},
                                                           {u'allowableValues': u'json,xml',
                                                            u'defaultValue': u'json',
                                                            u'description': u'API response format',
                                                            u'name': u'format',
                                                            u'paramType': u'path',
                                                            u'required': True}],
                                           u'response': [{u'condition': u'any',
                                                          u'errorResponses': [{u'code': 400,
                                                                               u'reason': u'Invalid word supplied.'}],
                                                          u'occurs': u'1',
                                                          u'valueType': u'AudioPron[]'}],
                                           u'summary': u'Fetches audio metadata for a word.'}],
                          u'path': u'/word.{format}/{word}/audio'}]},
 'wordList': {u'endPoints': [{u'description': u'',
                              u'operations': [{u'httpMethod': u'GET',
                                               u'open': False,
                                               u'parameters': [{u'description': u'ID of WordList to fetch',
                                                                u'name': u'wordListId',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid ID supplied'},
                                                                                  {u'code': 403,
                                                                                   u'reason': u'Not Authorized to access WordList'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'WordList not found'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'WordList'}],
                                               u'summary': u'Fetches a WordList by ID'}],
                              u'path': u'/wordList.{format}/{wordListId}'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'GET',
                                               u'open': False,
                                               u'parameters': [{u'description': u'ID of WordList to use',
                                                                u'name': u'wordListId',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'allowableValues': u'createDate,alpha',
                                                                u'description': u'Field to sort by',
                                                                u'name': u'sortBy',
                                                                u'paramType': u'query',
                                                                u'required': False},
                                                               {u'allowableValues': u'asc,desc',
                                                                u'description': u'Direction to sort',
                                                                u'name': u'sortOrder',
                                                                u'paramType': u'query',
                                                                u'required': False},
                                                               {u'description': u'Results to skip',
                                                                u'name': u'skip',
                                                                u'paramType': u'query',
                                                                u'required': False},
                                                               {u'description': u'Maximum number of results to return',
                                                                u'name': u'limit',
                                                                u'paramType': u'query',
                                                                u'required': False},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid ID supplied'},
                                                                                  {u'code': 403,
                                                                                   u'reason': u'Not Authorized to access WordList'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'WordList not found'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'WordListWord[]'}],
                                               u'summary': u'Fetches words in a WordList'}],
                              u'path': u'/wordList.{format}/{wordListId}/words'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'POST',
                                               u'open': False,
                                               u'parameters': [{u'description': u'ID of WordList to user',
                                                                u'name': u'wordListId',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'description': u'Words to add to WordList',
                                                                u'paramType': u'body',
                                                                u'required': False},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid ID supplied'},
                                                                                  {u'code': 403,
                                                                                   u'reason': u'Not Authorized to access WordList'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'WordList not found'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'void'}],
                                               u'summary': u'Adds words to a WordList'}],
                              u'path': u'/wordList.{format}/{wordListId}/words'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'PUT',
                                               u'open': False,
                                               u'parameters': [{u'description': u'ID of WordList to update',
                                                                u'name': u'wordListId',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'description': u'Updated WordList',
                                                                u'paramType': u'body',
                                                                u'required': False},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid ID supplied'},
                                                                                  {u'code': 403,
                                                                                   u'reason': u'Not Authorized to update WordList'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'WordList not found'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'void'}],
                                               u'summary': u'Updates an existing WordList'}],
                              u'path': u'/wordList.{format}/{wordListId}'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'DELETE',
                                               u'open': False,
                                               u'parameters': [{u'description': u'ID of WordList to delete',
                                                                u'name': u'wordListId',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid ID supplied'},
                                                                                  {u'code': 403,
                                                                                   u'reason': u'Not Authorized to delete WordList'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'WordList not found'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'void'}],
                                               u'summary': u'Deletes an existing WordList'}],
                              u'path': u'/wordList.{format}/{wordListId}'},
                             {u'description': u'',
                              u'operations': [{u'httpMethod': u'POST',
                                               u'open': False,
                                               u'parameters': [{u'description': u'ID of WordList to use',
                                                                u'name': u'wordListId',
                                                                u'paramType': u'path',
                                                                u'required': True},
                                                               {u'description': u'Words to remove from WordList',
                                                                u'paramType': u'body',
                                                                u'required': False},
                                                               {u'allowableValues': u'json,xml',
                                                                u'defaultValue': u'json',
                                                                u'description': u'API response format',
                                                                u'name': u'format',
                                                                u'paramType': u'path',
                                                                u'required': True}],
                                               u'response': [{u'condition': u'any',
                                                              u'errorResponses': [{u'code': 400,
                                                                                   u'reason': u'Invalid ID supplied'},
                                                                                  {u'code': 403,
                                                                                   u'reason': u'Not Authorized to modify WordList'},
                                                                                  {u'code': 404,
                                                                                   u'reason': u'WordList not found'}],
                                                              u'occurs': u'1',
                                                              u'valueType': u'void'}],
                                               u'summary': u'Removes words from a WordList'}],
                              u'path': u'/wordList.{format}/{wordListId}/deleteWords'}]},
 'wordLists': {u'endPoints': [{u'description': u'',
                               u'operations': [{u'httpMethod': u'GET',
                                                u'open': True,
                                                u'parameters': [{u'allowableValues': u'json,xml',
                                                                 u'defaultValue': u'json',
                                                                 u'description': u'API response format',
                                                                 u'name': u'format',
                                                                 u'paramType': u'path',
                                                                 u'required': True}],
                                                u'response': [{u'condition': u'any',
                                                               u'errorResponses': [{u'code': 404,
                                                                                    u'reason': u'No data available'}],
                                                               u'occurs': u'1',
                                                               u'valueType': u'Documentation'}],
                                                u'summary': u'Returns information about API parameters'}],
                               u'path': u'/wordLists'},
                              {u'description': u'',
                               u'operations': [{u'httpMethod': u'POST',
                                                u'open': False,
                                                u'parameters': [{u'description': u'WordList to create',
                                                                 u'paramType': u'body',
                                                                 u'required': False},
                                                                {u'allowableValues': u'json,xml',
                                                                 u'defaultValue': u'json',
                                                                 u'description': u'API response format',
                                                                 u'name': u'format',
                                                                 u'paramType': u'path',
                                                                 u'required': True}],
                                                u'response': [{u'condition': u'any',
                                                               u'errorResponses': [{u'code': 400,
                                                                                    u'reason': u'Invalid WordList supplied or mandatory fields are missing.'},
                                                                                   {u'code': 403,
                                                                                    u'reason': u'Not authenticated.'},
                                                                                   {u'code': 404,
                                                                                    u'reason': u'WordList owner not found.'}],
                                                               u'occurs': u'1',
                                                               u'valueType': u'WordList'}],
                                                u'summary': u'Creates a WordList.'}],
                               u'path': u'/wordLists'}]},
 'words': {u'endPoints': [{u'description': u'',
                           u'operations': [{u'httpMethod': u'GET',
                                            u'open': False,
                                            u'parameters': [{u'defaultValue': u'true',
                                                             u'description': u'Only return words with dictionary definitions',
                                                             u'name': u'hasDictionaryDef',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'CSV part-of-speech values to include',
                                                             u'name': u'includePartOfSpeech',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'CSV part-of-speech values to exclude',
                                                             u'name': u'excludePartOfSpeech',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Minimum corpus frequency for terms',
                                                             u'name': u'minCorpusCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Maximum corpus frequency for terms',
                                                             u'name': u'maxCorpusCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Minimum dictionary count',
                                                             u'name': u'minDictionaryCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Maximum dictionary count',
                                                             u'name': u'maxDictionaryCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Minimum word length',
                                                             u'name': u'minLength',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Maximum word length',
                                                             u'name': u'maxLength',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'allowableValues': u'json,xml',
                                                             u'defaultValue': u'json',
                                                             u'description': u'API response format',
                                                             u'name': u'format',
                                                             u'paramType': u'path',
                                                             u'required': True}],
                                            u'response': [{u'condition': u'any',
                                                           u'errorResponses': [{u'code': 404,
                                                                                u'reason': u'No word found.'}],
                                                           u'occurs': u'1',
                                                           u'valueType': u'Word'}],
                                            u'summary': u'Returns a single random WordObject, in the format specified by the URL'}],
                           u'path': u'/words.{format}/randomWord'},
                          {u'description': u'',
                           u'operations': [{u'httpMethod': u'GET',
                                            u'open': False,
                                            u'parameters': [{u'description': u'Only return words with dictionary definitions',
                                                             u'name': u'hasDictionaryDef',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'CSV part-of-speech values to include',
                                                             u'name': u'includePartOfSpeech',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'CSV part-of-speech values to exclude',
                                                             u'name': u'excludePartOfSpeech',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Minimum corpus frequency for terms (integer)',
                                                             u'name': u'minCorpusCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Maximum corpus frequency for terms (integer)',
                                                             u'name': u'maxCorpusCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Minimum dictionary count (integer)',
                                                             u'name': u'minDictionaryCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Maximum dictionary count (integer)',
                                                             u'name': u'maxDictionaryCount',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Minimum word length (characters)',
                                                             u'name': u'minLength',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Maximum word length (characters)',
                                                             u'name': u'maxLength',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'allowableValues': u'alpha,count',
                                                             u'description': u'Attribute to sort by',
                                                             u'name': u'sortBy',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'allowableValues': u'asc,desc',
                                                             u'description': u'Sort direction',
                                                             u'name': u'sortOrder',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Results to skip (integer)',
                                                             u'name': u'skip',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Maximum number of results to return (integer)',
                                                             u'name': u'limit',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'allowableValues': u'json,xml',
                                                             u'defaultValue': u'json',
                                                             u'description': u'API response format',
                                                             u'name': u'format',
                                                             u'paramType': u'path',
                                                             u'required': True}],
                                            u'response': [{u'condition': u'any',
                                                           u'errorResponses': [{u'code': 400,
                                                                                u'reason': u'Invalid term supplied.'},
                                                                               {u'code': 404,
                                                                                u'reason': u'No results.'}],
                                                           u'occurs': u'1',
                                                           u'valueType': u'WordFrequency[]'}],
                                            u'summary': u'Returns an array of random WordObjects, in the format specified by the URL'}],
                           u'path': u'/words.{format}/randomWords'},
                           {u'description': u'',
                            u'operations': [{u'httpMethod': u'GET',
                                             u'open': False,
                                             u'parameters': [{u'description': u'Search query',
                                                              u'name': u'query',
                                                              u'paramType': u'path',
                                                              u'required': True},
                                                             {u'allowableValues': u'true | false',
                                                              u'defaultValue': u'true',
                                                              u'description': u'Search case sensitive',
                                                              u'name': u'caseSensitive',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'description': u'Only include these comma-delimited parts of speech',
                                                              u'name': u'includePartOfSpeech',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'description': u'Exclude these comma-delimited parts of speech',
                                                              u'name': u'excludePartOfSpeech',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'non-negative integer',
                                                              u'defaultValue': u'5',
                                                              u'description': u'Minimum corpus frequency for terms',
                                                              u'name': u'minCorpusCount',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'non-negative integer',
                                                              u'description': u'Maximum corpus frequency for terms',
                                                              u'name': u'maxCorpusCount',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'non-negative integer',
                                                              u'defaultValue': u'1',
                                                              u'description': u'Minimum number of dictionary entries',
                                                              u'name': u'minDictionaryCount',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'non-negative integer',
                                                              u'description': u'Maximum dictionary count',
                                                              u'name': u'maxDictionaryCount',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'0 to 1024',
                                                              u'defaultValue': u'1',
                                                              u'description': u'Minimum word length',
                                                              u'name': u'minLength',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'0 to 1024',
                                                              u'description': u'Maximum word length',
                                                              u'name': u'maxLength',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'0 to 1000',
                                                              u'defaultValue': u'0',
                                                              u'description': u'Results to skip',
                                                              u'name': u'skip',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'1 to 1000',
                                                              u'defaultValue': u'10',
                                                              u'description': u'Maximum number of results to return',
                                                              u'name': u'limit',
                                                              u'paramType': u'query',
                                                              u'required': False},
                                                             {u'allowableValues': u'json,xml',
                                                              u'defaultValue': u'json',
                                                              u'description': u'API response format',
                                                              u'name': u'format',
                                                              u'paramType': u'path',
                                                              u'required': True}],
                                             u'response': [{u'condition': u'any',
                                                            u'errorResponses': [{u'code': 400,
                                                                                 u'reason': u'Invalid query supplied.'}],
                                                            u'valueType': u'wordSearchResults'}],
                                             u'summary': u'Searches words.'}],
                            u'path': u'/words.{format}/search/{query}'},
                          {u'description': u'',
                           u'operations': [{u'httpMethod': u'GET',
                                            u'open': False,
                                            u'parameters': [{u'description': u'ID of WordOfTheDayList',
                                                             u'name': u'containsWord',
                                                             u'paramType': u'query',
                                                             u'required': True},
                                                            {u'description': u'Returns future WordOfTheDay items',
                                                             u'name': u'includeAll',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'allowableValues': u'json,xml',
                                                             u'defaultValue': u'json',
                                                             u'description': u'API response format',
                                                             u'name': u'format',
                                                             u'paramType': u'path',
                                                             u'required': True}],
                                            u'response': [{u'condition': u'any',
                                                           u'errorResponses': [{u'code': 400,
                                                                                u'reason': u'Invalid word supplied.'}],
                                                           u'occurs': u'1',
                                                           u'valueType': u'WordOfTheDayList[]'}],
                                            u'summary': u'Fetches an array of WordOfTheDayList containing a Word'}],
                           u'path': u'/words.{format}/wordOfTheDayLists'},
                          {u'description': u'',
                           u'operations': [{u'httpMethod': u'GET',
                                            u'open': False,
                                            u'parameters': [{u'description': u'ID of WordOfTheDayList',
                                                             u'name': u'date',
                                                             u'paramType': u'path',
                                                             u'required': False},
                                                            {u'description': u'Returns future WordOfTheDay items',
                                                             u'name': u'includeAll',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'allowableValues': u'json,xml',
                                                             u'defaultValue': u'json',
                                                             u'description': u'API response format',
                                                             u'name': u'format',
                                                             u'paramType': u'path',
                                                             u'required': True}],
                                            u'response': [{u'condition': u'any',
                                                           u'errorResponses': [{u'code': 400,
                                                                                u'reason': u'Invalid ID supplied'},
                                                                               {u'code': 404,
                                                                                u'reason': u'WordOfTheDayList or User not found'}],
                                                           u'occurs': u'1',
                                                           u'valueType': u'WordOfTheDay[]'}],
                                            u'summary': u'Fetches WordOfTheDay objects for a specific date'}],
                           u'path': u'/words.{format}/wordOfTheDayLists/{date}'},
                          {u'description': u'',
                           u'operations': [{u'httpMethod': u'POST',
                                            u'open': False,
                                            u'parameters': [{u'description': u'auth_token of logged-in user',
                                                             u'name': u'auth_token',
                                                             u'paramType': u'header',
                                                             u'required': True},
                                                            {u'description': u'ID of WordOfTheDayList',
                                                             u'name': u'permalink',
                                                             u'paramType': u'path',
                                                             u'required': False},
                                                            {u'description': u'Medium to subscribe with',
                                                             u'name': u'medium',
                                                             u'paramType': u'query',
                                                             u'required': False},
                                                            {u'description': u'Username to subscribe',
                                                             u'paramType': u'body',
                                                             u'required': False},
                                                            {u'allowableValues': u'json,xml',
                                                             u'defaultValue': u'json',
                                                             u'description': u'API response format',
                                                             u'name': u'format',
                                                             u'paramType': u'path',
                                                             u'required': True}],
                                            u'response': [{u'condition': u'any',
                                                           u'errorResponses': [{u'code': 400,
                                                                                u'reason': u'Invalid ID supplied'},
                                                                               {u'code': 403,
                                                                                u'reason': u'Not authorized to subscribe'},
                                                                               {u'code': 404,
                                                                                u'reason': u'WordOfTheDayList or User not found'}],
                                                           u'occurs': u'1',
                                                           u'valueType': u'void'}],
                                            u'summary': u'Subscribes a user to a WordOfTheDayList'}],
                           u'path': u'/words.{format}/wordOfTheDayList/{permalink}/subscription'}]}}
